Unsupported Usart Driver - require older version?

cancel
Showing results for 
Search instead for 
Did you mean: 

Unsupported Usart Driver - require older version?

Jump to solution
270 Views
jmullen_condose
Contributor III

I am moving a project from CW11 to MCUXpresso, from a QE32 MCU to LPC844

I created a workspace and got into the setup. Adding a USART peripheral I get a warning:

"Issue: Unsupported version of the Usart Driver in the toolchain/IDE project. Required: 2.1.0, actual: 2.2.0. Project might not compile correctly."

This seems odd, that the tool is asking for a LOWER Driver version than what is available. I looked through the "2.8.0" (Manifest 3.6.0) SDK and verified that it contains the fsl_usart header and code files, both are v2.2.0

Therefore, is there a way to obtain the lower version number, or is this a small bug and I can proceed with the v2.2.0 files, ignoring the warning? Perhaps I am missing something simple as I am still climbing the learning curve on MCUXpresso. Thanks much in advance for any suggestions. Cheers!

0 Kudos
1 Solution
216 Views
Alice_Yang
NXP TechSupport
NXP TechSupport

Hello  Jeffrey Mullen ,

You can just ignore this waring.

BTW, recommend you use the latest MCUXpresso IDE v11.2, and the latest SDKv2.8:

MCUXpresso IDE|Eclipse-based Integrated Development Environment (IDE) | NXP       

https://mcuxpresso.nxp.com/en/select         

pastedImage_3.png

there are demos under SDK, even though they based on LPC845, you can also refer to.

 

Hope it helps,

Regards,

Alice

View solution in original post

0 Kudos
1 Reply
217 Views
Alice_Yang
NXP TechSupport
NXP TechSupport

Hello  Jeffrey Mullen ,

You can just ignore this waring.

BTW, recommend you use the latest MCUXpresso IDE v11.2, and the latest SDKv2.8:

MCUXpresso IDE|Eclipse-based Integrated Development Environment (IDE) | NXP       

https://mcuxpresso.nxp.com/en/select         

pastedImage_3.png

there are demos under SDK, even though they based on LPC845, you can also refer to.

 

Hope it helps,

Regards,

Alice

View solution in original post

0 Kudos